function checkHref(elem) {
  var xmlHttp = new XMLHttpRequest()
  xmlHttp.onreadystatechange = function () {
    if (xmlHttp.readyState == 4) {
      elem.classList.add("hasResponseStatus")
      elem.classList.add("status-" + xmlHttp.status)
      elem.title = "Response code: " + xmlHttp.status + " - " + xmlHttp.statusText
    }
  }
  xmlHttp.open("GET", elem.href, true) // true for asynchronous 
  xmlHttp.send(null)
}

function checkPerms(className) {
  var rootElems = document.getElementsByClassName(className)
  Array.from(rootElems).forEach(elem =>
    Array.from(elem.children).forEach(elem => checkHref(elem))
  )
}

async function get_resource(id, token, authProvider) {
  //if (!keycloak.keycloak) { return }
  const resp = await fetch("resource/" + id, {
    method: "GET",
    headers: new Headers({
      "Content-type": "application/json",
      "Authorization": `Bearer ${token}`,
      "auth_provider": authProvider,
    }),
  })
  /*
    resource.value = resp['data']
    msg.value = ""
  }
  ).catch (
  err => msg.value = err
  )
*/
  console.log(await resp.json())
}
